SNMP Credentials
List all SNMP Credentials
Returns all SNMP Credentials in the authenticated user's organization.
Authorization<token>
User API key (Bearer scp_u_...). Create in Platform > API Keys.
In: header
Query Parameters
group_by?null|SnmpCredentialOrderField
Primary ordering field (used for grouping). Always sorts ASC to keep groups together.
order_by?null|SnmpCredentialOrderField
Secondary ordering field (sorting within groups or standalone sort).
order_direction?null|OrderDirection
Direction for order_by field (group_by always uses ASC).
limit?integer|null
Maximum number of results to return (1-1000, default: 50). Use 0 for no limit.
Format
int32Range
0 <= value <= 1000offset?integer|null
Number of results to skip. Default: 0.
Format
int32Range
0 <= valueResponse Body
application/json
curl -X GET "https://loading/api/v1/snmp-credentials"{
"data": [
{
"community": "string",
"name": "string",
"organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
"tags": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"version": "V2c",
"created_at": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"meta": {
"api_version": 1,
"pagination": {
"has_more": true,
"limit": 50,
"offset": 0,
"total_count": 142
},
"server_version": "0.14.10"
},
"success": true,
"error": "string"
}